0

I have downloaded and installed SSDT from Microsoft docs. The install was successful and I now have SSDT for VS 2017 installed - version 15.8.9 (as per screenshot)

However, I cannot create an SSIS project. There is no option in SSDT to do so.

When I try to open an old version of an SSIS package I get the below 'Unsupported'...

enter image description here

What else am I missing?

enter image description here

  • Which is the version of that 'old SSIS package'? – McNets Nov 12 '18 at 14:51
  • 2008R2. However, I cannot create a new SSIS package either. No business intelligence option in VS 2017 SSDT – Kevin Nov 12 '18 at 14:55
  • According to docs, supported versions for SSIS are: Integration Services packages SQL Server 2012 – SQL Server 2017 – McNets Nov 12 '18 at 14:58
  • Just to cover all the bases... when you ran the separate SSDT installer, did you tick the box for Integration Services? – Jacob H Nov 12 '18 at 15:07
  • Yes. I will try uninstall and reinstall SSDT – Kevin Nov 12 '18 at 15:48
1

Repairing the installation of SSDT resolved the issue.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.